/* NOTE: IF YOU WANT TO ADD CUSTOM CLASS NAME MAKE SURE ADD PREFIX OF "iqon-" BEFORE YOUR CLASS NAME */

/* Branding Colors */
:root {
    --iqon-primary: rgb(0, 46, 70);
    --iqon-secondary: rgb(86, 1, 0);
    --iqon-tertiary: rgb(244, 172, 68);
    --iqon-quaternary: rgb(255, 255, 255);
    --iqon-quaternary: rgb(255, 255, 255);
    --iqon-danger: rgb(220, 53, 69);
    --iqon-success: rgb(40, 167, 69);
    --iqon-warning: rgb(255, 183, 36);
    --iqon-info: rgb(180, 29, 239);
    --fs-10: 11px;
    --fs-11: 10px;
    --fs-12: 9px;
}

.fs-10 {
    font-size: var(--fs-10) !important;
}

.fs-11 {
    font-size: var(--fs-11) !important;
}

.fs-12 {
    font-size: var(--fs-12) !important;
}

.company-color {
    color: var(--iqon-secondary);
}

.text-primary-hover:hover {
    color: var(--iqon-primary) !important;
    cursor: pointer;
    transition: all 0.3s ease;
}

.text-danger-hover:hover {
    color: var(--iqon-danger) !important;
    cursor: pointer;
    transition: all 0.1s ease;
}

.text-success-hover:hover {
    color: var(--iqon-success) !important;
    cursor: pointer;
    transition: all 0.1s ease;
}

.text-warning-hover:hover {
    color: var(--iqon-warning) !important;
    cursor: pointer;
    transition: all 0.1s ease;
}

.text-info-hover:hover {
    color: var(--iqon-info) !important;
    cursor: pointer;
    transition: all 0.1s ease;
}

[data-bs-theme="dark"] .company-color {
    color: var(--iqon-tertiary);
}

.navbar-vertical .navbar-vertical-content .navbar-nav .nav-link.active {
    color: var(--iqon-tertiary) !important;
    background: var(--phoenix-nav-tabs-link-active-color) !important;
}

.navbar-vertical .nav-item-wrapper:has(.active) .dropdown-indicator.label-1.collapsed .nav-link-text,
.navbar-vertical .nav-item-wrapper:has(.active) .dropdown-indicator.label-1.collapsed .nav-link-icon {
    color: var(--iqon-tertiary) !important;
}

/* CUSTOM CSS START HERE */
::-webkit-scrollbar {
    width: 4px;
    height: 4px;
}

::-webkit-scrollbar-track {
    background: var(--phoenix-emphasis-bg);
}

::-webkit-scrollbar-thumb {
    background: var(--phoenix-info);
    border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover {
    background: var(--phoenix-info-darker);
}

[data-bs-theme="dark"] ::-webkit-scrollbar-track {
    background: var(--phoenix-emphasis-bg);
}

[data-bs-theme="dark"] ::-webkit-scrollbar-thumb {
    background: var(--phoenix-info);
}

[data-bs-theme="dark"] ::-webkit-scrollbar-thumb:hover {
    background: var(--phoenix-info-darker);
}


.text-transparent {
    color: transparent !important;
}

.iqon-gradient-bg {
    background: linear-gradient(-45deg, var(--iqon-primary), var(--iqon-secondary), var(--iqon-primary), var(--iqon-secondary));
    background-size: 400% 400%;
    animation: gradient 12s ease infinite;
    /* height: 100vh; */
}

@keyframes gradient {
    0% {
        background-position: 0% 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0% 50%;
    }
}

/* OVERWRITE DEFAULT BOOTSTRAP STYLES START HERE */
.sub-menu svg {
    width: 9px !important;
}

span.nav-link-text {
    font-size: 12.5px !important;
}

.updown-animate {
    animation: updown 2s linear infinite;
}

@keyframes updown {
    0% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-5px);
    }

    100% {
        transform: translateY(0);
    }
}

.icon-small {
    font-size: 11.25px !important;
    width: 11.25px !important;
    height: 11.25px !important;
}

.btn-close {
    font-size: 11.25px !important;
}

#form201 label {
    padding-left: 0px !important;
}

.employee-image-container {
    width: 250px;
    height: 250px;
    border: 2px dashed #ccc;
    border-radius: 5px;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 15px;
}

.employee-image {
    max-width: 100%;
    max-height: 100%;
    aspect-ratio: 1 / 1;
    object-fit: cover;
}

.image-placeholder {
    text-align: center;
    color: #6c757d;
}

.image-placeholder i {
    font-size: 64px;
    margin-bottom: 10px;
}

/* Remove Input field focus border */
input:focus,
select:focus,
textarea:focus,
.nav-link:focus {
    outline: none;
    box-shadow: none !important;
}

.nav-tabs .nav-link.active,
.nav-tabs .nav-item.show .nav-link {
    color: var(--phoenix-nav-tabs-link-active-color) !important;
}

/* Selecto overwrite */
.select2-selection.select2-selection--single {
    min-height: 34px !important;
    border: var(--phoenix-border-width) solid var(--phoenix-border-color) !important;
    border-radius: var(--phoenix-border-radius) !important;
    padding: -0.625rem 1rem;
    font-size: 0.85rem !important;
    vertical-align: middle !important;
    background-color: var(--phoenix-emphasis-bg) !important;
}

.select2-container .select2-selection--multiple {
    min-height: 38px !important;
    border: var(--phoenix-border-width) solid var(--phoenix-border-color) !important;
    border-radius: var(--phoenix-border-radius) !important;
    padding: 0.375rem 0.75rem !important;
    font-size: 0.85rem !important;
    vertical-align: middle !important;
}

/* Fix select2 dropdown appearing behind modal by increasing z-index */
.select2-container--open {
    z-index: 9999 !important;
}


.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: var(--phoenix-emphasis-bg) !important;
    border: var(--phoenix-border-width) solid var(--phoenix-border-color) !important;
    color: var(--iqon-primary) !important;
    border-radius: var(--phoenix-border-radius) !important;
    padding: 2px 5px 2px 20px !important;
    font-size: 0.75rem !important;
    margin: 0px 2px 0 0 !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    color: var(--iqon-primary) !important;
    margin-right: 2px !important;
    font-size: 0.85rem !important;
}

.select2-container .select2-search--inline .select2-search__field {
    margin-top: 0 !important;
}

.select2-results__option {
    padding: 2px 8px !important;
    font-size: 0.85rem !important;
}


/* Select2 Dark Mode Styles */
[data-bs-theme="dark"] .select2-selection__rendered {
    background-color: var(--phoenix-emphasis-bg) !important;
    border-color: var(--phoenix-border-color) !important;
    color: var(--phoenix-body-color) !important;
}

[data-bs-theme="dark"] .select2-container .select2-selection--multiple {
    background-color: var(--phoenix-emphasis-bg) !important;
    border-color: var(--phoenix-border-color) !important;
    color: var(--phoenix-body-color) !important;
}

[data-bs-theme="dark"] .select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: var(--phoenix-emphasis-bg) !important;
    border-color: var(--phoenix-border-color) !important;
    color: var(--phoenix-body-color) !important;
}

[data-bs-theme="dark"] .select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    color: var(--phoenix-body-color) !important;
}

[data-bs-theme="dark"] .select2-dropdown {
    background-color: var(--phoenix-emphasis-bg) !important;
    border-color: var(--phoenix-border-color) !important;
    color: #ffffff !important;
}

[data-bs-theme="dark"] .select2-results__option {
    color: var(--phoenix-body-color) !important;
}

[data-bs-theme="dark"] .select2-results__option[aria-selected="true"] {
    background-color: #38393a !important;
    color: white !important;
}

[data-bs-theme="dark"] .select2-results__option--highlighted[aria-selected] {
    background-color: var(--phoenix-info) !important;
    color: white !important;

}

[data-bs-theme="dark"] .select2-search__field {
    background-color: var(--phoenix-emphasis-bg) !important;
    color: var(--phoenix-body-color) !important;
}

.hover-primary:hover {
    color: var(--iqon-primary) !important;
    cursor: pointer;
    transition: all 0.3s ease;
}

.hover-info:hover {
    color: var(--phoenix-info) !important;
    cursor: pointer;
    transition: all 0.3s ease;
}

.hover-success:hover {
    color: var(--phoenix-success) !important;
    cursor: pointer;
    transition: all 0.3s ease;
}

.hover-warning:hover {
    color: var(--phoenix-warning) !important;
    cursor: pointer;
    transition: all 0.3s ease;
}

.hover-danger:hover {
    color: var(--phoenix-danger) !important;
    cursor: pointer;
    transition: all 0.3s ease;
}

.text-iqon-dark {
    color: #fff !important;
}

[data-bs-theme="dark"] .text-iqon-dark {
    color: #002e46 !important;
}

.last-row-bottom-borderless tr:last-child {
    border: none !important;
}

.announcement-ticker {
    width: 100%;
    overflow: hidden;
    padding: 10px 15px;
    border-radius: 6px;
    border: 1px solid #e9ecef;
}

.announcement-wrapper {
    position: relative;
}

.announcement-slide {
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding: 5px;
    transition: opacity 0.9s ease-in-out;
    display: none;
}

.announcement-slide.active {
    opacity: 1;
    position: relative;
    display: block;
}

@keyframes fadeInOut {
    0% {
        opacity: 0;
    }

    20% {
        opacity: 1;
    }

    80% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.form-label {
    padding-left: 0px !important;
}

.modal-title {
    font-size: 16px !important;
}




/* reapplication tracker css */

.timeline {
    position: relative;
    padding: 0;
}

.timeline-item {
    position: relative;
    padding-left: 2rem;
    margin-bottom: 2rem;
}

.timeline-item:last-child {
    margin-bottom: 0;
}

.timeline-item-line {
    position: absolute;
    left: 0.5rem;
    top: 0;
    bottom: -2rem;
    width: 2px;
    background-color: #6c757d;
    transform: translateX(-50%);
}

.timeline-item:last-child .timeline-item-line {
    bottom: 0;
}

.timeline-item-content {
    position: relative;
}

.timeline-item-content::before {
    content: '';
    position: absolute;
    left: -1.5rem;
    top: 0.75rem;
    width: 0.75rem;
    height: 0.75rem;
    background: var(--iqon-tertiary);
    border-radius: 50%;
    transform: translateX(-50%);
}

.avatar.avatar-xl {
    width: 4rem;
    height: 4rem;
}

.avatar.avatar-xs {
    width: 2rem;
    height: 2rem;
}

.avatar img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Modal Customizations */
.modal-header.bg-body {
    border-bottom: 1px solid var(--bs-gray-200);
}

.modal-footer {
    border-top: 1px solid var(--bs-gray-200);
}

/* Badge Customizations */
.badge.bg-primary-subtle {
    background-color: var(--bs-primary-bg-subtle);
    color: var(--bs-primary);
}

/* Card Customizations */
.card.shadow-sm {
    transition: box-shadow 0.2s ease-in-out;
}

.card.shadow-sm:hover {
    box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15) !important;
}

/* Datatable Customizations */
.dataTables_wrapper .dataTables_length,
.dataTables_wrapper .dataTables_filter,
.dataTables_wrapper .dataTables_info,
.dataTables_wrapper .dataTables_paginate {
    font-size: var(--fs-10) !important;
}

.dataTables_wrapper .dataTables_filter {
    margin-bottom: 1rem;
}

.dataTables_wrapper .dataTables_length select,
.dataTables_wrapper .dataTables_filter input,
.dataTables_wrapper .dataTables_paginate .pagination .page-item .page-link {
    padding: 0.25rem 0.5rem;
    font-size: var(--fs-10) !important;
}

.dataTables_wrapper .dataTables_paginate .pagination .page-item .page-link:hover {
    background-color: var(--iqon-primary);
    color: var(--iqon-quaternary);
}

.dataTables_wrapper .dataTables_paginate .pagination .page-item .page-link.active {
    background-color: var(--iqon-primary);
    color: var(--iqon-quaternary);
}

.dataTables_wrapper .dataTables_paginate .pagination .page-item .page-link.disabled {
    background-color: var(--iqon-primary);
    color: var(--iqon-quaternary);
}

table tr th,
table tr td {
    font-size: var(--fs-10) !important;
}

.form-control-sm {
    font-size: var(--fs-10) !important;
    border-radius: 0.3125rem;
}